package com.eclipse.listener.scenario.task.autocomplete;

public abstract class AutoExecution {
	private String title;
	
	public AutoExecution(String title) {
		this.title = title;
	}
	
	public abstract void execute();
	
	/**
	 * Method for getting the title of the Task that is to be auto executed.
	 * @return String. Ex: "File";
	 */
	public String getTitle(){
		return this.title;
	}
}