package com.eclipse.listener.scenario.task.autocomplete;

import com.eclipse.listener.helpClasses.Methods;

public class MenuBarClickExecution extends AutoExecution{
	
	public MenuBarClickExecution(String menuBarButton){
		super(menuBarButton);
	}//end MenuBarClickExecution.
	
	/**
	 * Method for executing the MenuBarClick.
	 */
	public void execute(){
		//Menu bar buttons: &File, &Edit, &Source, Refac&tor, &Navigate, Se&arch, &Project, &Run, &Window, &Help.
		String menuBarButton = "";

		if( getTitle().toLowerCase().equals("file") ){
			menuBarButton = "file";
		}
		else if( getTitle().toLowerCase().equals("edit") ){
			menuBarButton = "edit";
		}
		else if( getTitle().toLowerCase().equals("source") ){
			menuBarButton = "source";
		}
		else if( getTitle().toLowerCase().equals("refactor") ){
			menuBarButton = "refactor";
		}
		else if( getTitle().toLowerCase().equals("navigate") ){
			menuBarButton = "navigate";
		}
		else if( getTitle().toLowerCase().equals("search") ){
			menuBarButton = "search";
		}
		else if( getTitle().toLowerCase().equals("project") ){
			menuBarButton = "project";
		}
		else if( getTitle().toLowerCase().equals("run") ){
			menuBarButton = "run";
		}
		else if( getTitle().toLowerCase().equals("window") ){
			menuBarButton = "window";
		}
		else if( getTitle().toLowerCase().equals("help") ){
			menuBarButton = "help";
		}		
		//Maximize Eclipse.
		Methods.getDisplay().getActiveShell().setMaximized(true);
		//Setting focus to the correct button in the main menu bar.
		Methods.setFocusToMainMenuBar(menuBarButton);	
	}//end execute.
}//end MenuBarClickExecution.